#ifndef FORMTHIRDLIST_H
#define FORMTHIRDLIST_H

#include <QWidget>

class QSqlQueryModel;
class FilterTableHeader;

namespace Ui
{
class formThirdList;
}

class formThirdList : public QWidget
{
    Q_OBJECT

public:
    explicit formThirdList(QWidget *parent = 0);
    ~formThirdList();

private slots:
    void on_buttonNew_released();
    void on_buttonEdit_released();
    void on_buttonClone_released();
    void on_buttonDelete_released();

    void on_buttonUpdate_released();

    void on_tableView_doubleClicked(const QModelIndex &index);

private:
    Ui::formThirdList *ui;
    QSqlQueryModel *mModel;
    FilterTableHeader *m_tableHeader;

    void updateList();
    void openDocument(QModelIndex index);

    void applyFilter();
protected:
    void resizeEvent(QResizeEvent *event) override;
};

#endif // FORMTHIRDLIST_H
